Subject: Re: What's the current status of Solar Energy?

From: [email-masked] (CYBURG)
Date: 11 Aug 1994 04:13:02 -0400

In article <[email-masked]>, [email-masked] (4016)
writes:
The current satus of Solar energy is that it works and there is a whole
bunch of us living offgrid and enjoying the life of independent energy. 
Who sells it?  Lots if us.  I have been in business for over 11 years
designing and installing remote power systems.  We do mail order too.  My
husband Don and I  are always available to answer your questions.  We are
OFFLINE INDEPENDENT ENERGY SYSTEMS   PO BOX 231 NORTH FORK, CA  93643.Don
and Cynthia Loweburg phone# 209-877-7080 e-mail [email-masked]  We have a
catalog.